<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

/**
 * Add PageTSConfig for tablespecific Page TS
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
    '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:borderstyle/Configuration/TSConfig/Root.t3sc">'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Porth.' . $_EXTKEY,
	'Borderstyle',
	'borderstyle'
);


\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_borderstyle_domain_model_theme', 'EXT:borderstyle/Resources/Private/Language/locallang_csh_tx_borderstyle_domain_model_theme.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_borderstyle_domain_model_theme');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_borderstyle_domain_model_styling', 'EXT:borderstyle/Resources/Private/Language/locallang_csh_tx_borderstyle_domain_model_styling.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_borderstyle_domain_model_styling');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_borderstyle_domain_model_picturing', 'EXT:borderstyle/Resources/Private/Language/locallang_csh_tx_borderstyle_domain_model_picturing.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_borderstyle_domain_model_picturing');




# Flexform selection
$extensionName = strtolower(\TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($_EXTKEY));
$pluginName = strtolower('Borderstyle');
$pluginSignature = $extensionName.'_'.$pluginName;
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature] = 'layout,select_key,pages';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:'.$_EXTKEY . '/Configuration/FlexForms/Borderstyle.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'borderstyles (base)');

