<?php


/**
 * add new link-fields to tt_content
 * =================================
 */
    $temporaryColumn = array(
        'tx_borderstyle_classname' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_backend.xlf:tx_borderstyle_classname.label',
            'config'  => array(
                'type' => 'user',
                'userFunc' => 'Porth\\Borderstyle\\ColumnType\\DatamapProcessClass->itemsForeigntableDataChange',
                'parameters' => array(
                    'default' => array(
                        'extensionSettings' => 'borderstyle',
                        'value' => '',
                        'label' => '---',
                        'prefix' => ''
                    ),
                    'list' => array(
                        'theme' => array(
                            'repository' => 'Porth\\Borderstyle\\Domain\\Repository\\ThemeRepository',
                            'findMethod' => 'findAllOptions',
                            'findParams' => '',
                            'fieldName' => 'nickname',
                            'prefix' => 'settings.vendorClass'
                        ),

                    ),
                )
            ),
        )
    );
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
        'tt_content',
        $temporaryColumn
    );

    $GLOBALS['TCA']['tt_content']['interface']['showRecordFieldList'] .= ',tx_borderstyle_classname';

    // simple extensionbuilder-style
    //    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'tx_borderstyle_classname');
    // build a div-palette structure to allow you to add other themes into the column
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette(
        'tt_content',
        'styleClass',
        'tx_borderstyle_classname'
    );
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', '--div--;LLL:EXT:borderstyle/Resources/Private/Language/locallang_backend.xlf:tx_borderstyle_classname.tca.div.styleClass, --palette--;;styleClass' );

