<?php
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'Porth.' . $_EXTKEY,
    'Borderstyle',
    array (
        'Theme' => 'classname, classnameoptions, classnameselect, interntest, stylesheets, testing',
    ),
    // non-cacheable actions
    array(
        'Theme' => '',
    )
);

// add an own evaluation-part
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals']['Porth\Borderstyle\Evaluation\TupelEvaluation'] =
    'EXT:borderstyle/Classes/Evaluation/TupelEvaluation.php';

// Add the stylesheets of the extension in gloabla scopwe
if ((TYPO3_MODE === 'FE')) {
    $borderstyleConfig = unserialize($_EXTCONF);

    /** @var \TYPO3\CMS\Core\Page\PageRenderer $renderer */
    $renderer = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\CMS\Core\Page\PageRenderer');
    \Porth\Borderstyle\Utility\LocalConfUtility::prepareDynamicGeneratedCssFile(
        $renderer,
        $borderstyleConfig['porthBorderstyleTypeNum']
    );
    /**
     * there is no chance to get the extension constants directly into the typoscript,
     * because the type-conf-var are serialized and the typeNum is from datatype integer
     */
    $typeNumConstant = 'plugin.tx_borderstyle.localconf.typeNum = ' . $borderstyleConfig['porthBorderstyleTypeNum'];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY,
        'constants',
        $typeNumConstant
    );
}
